import Form from './form'
import Button from './button'
import Table from './table'


const components = [
    Form,
    Button,
    Table
]

function install(Vue, options) {
    components.forEach(ele => {
        Vue.component(ele.name, ele)
    })

    let pagination = options.pagination || {}

    Vue.prototype.$pagination = {
        layout: pagination.layout || 'sizes, prev, pager, next, jumper',
        pageSizes: pagination.pageSizes || [10, 20, 50, 100],
        pageSize: pagination.pageSize || 10
    }
}

export default {
    install,
    Form,
    Button,
    Table
}
