const path = require('path')

module.exports = {
    resolve: {
        extensions: ['*', '.js', '.vue'],
        alias: {
            '@': path.join(__dirname, '../')
        }
    },
    module: {
        rules: [
            // babel-loader 解析js
            {
                test: /\.(js|jsx)$/,
                use: ['babel-loader']
            },
            // vue-loader 解析 .vue 文件
            {
                test: /.vue$/,
                use: ['vue-loader']
            },
            //
            {
                test: /.(sa|sc|c)ss$/,
                use: ['style-loader', 'css-loader', 'postcss-loader', 'sass-loader']
            },
            /**
             * file-loader 解析 js引入图片、字体
             *      import logo from './images/logo.png'
             */
            {
                test: /.(png|jpg|jpeg|gif|eot|woff|ttf|svg|webp|PNG)$/,
                use: [
                    {
                        loader: "file-loader",
                        options: {
                            outputPath: 'images',
                            esModule: false
                        }
                    }
                ]
            }
        ],

    }
}
